Bug 449121 - Fedora Installation Fails on HP ProLiant DL145 G3
Fedora Installation Fails on HP ProLiant DL145 G3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 11:45 EDT by Daniel Qarras
Modified: 2008-10-14 16:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 15:37:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with latest F9 kernel on an HP DL145 G3 (32.22 KB, text/plain)
2008-06-02 12:26 EDT, Daniel Qarras
no flags Details
dmesg with latest F9 kernel on an HP DL145 G3 beta (32.31 KB, text/plain)
2008-09-11 16:18 EDT, Daniel Qarras
no flags Details
lspci with latest F9 kernel on an HP DL145 G3 beta (30.34 KB, text/plain)
2008-09-11 16:18 EDT, Daniel Qarras
no flags Details
F8 dmesg (28.04 KB, text/plain)
2008-09-19 10:00 EDT, Daniel Qarras
no flags Details
dmesg with F10Beta on an HP DL145 G3 beta (36.26 KB, text/plain)
2008-10-14 15:37 EDT, Daniel Qarras
no flags Details

  None (edit)
Description Daniel Qarras 2008-05-30 11:45:21 EDT
Description of problem:
I am trying to install Fedora 9 from DVD on my HP ProLiant DL145 G3. The kernel
boots ok from DVD, I can select language and keyboard type but then the
installer asks where is my installation media (CD/DVD, HDD, NFS, URL). When
trying to use the DVD which is already in I get a message asking to load a
proper driver. Selecting any driver from the list just gives an error that "No
driver found."

Version-Release number of selected component (if applicable):
Fedora 9 x86_84

How reproducible:
Always.

Steps to Reproduce:
1. Burn Fedora 9 x86_64 installation DVD
2. Start installation on HP ProLiant DL145 G3
3. See how installation fails
  
Actual results:
Installation fails.

Expected results:
Installation succeeds.

Additional info:
I am currently running Fedora 8 on the box now, it works all ok. However, also
Fedora 8 installation failed in same manner so I upgraded F7->F8 with Yum. If I
remember correctly F7 installation succeeded on that box (or FC6, can't remember
any more).
Comment 1 Jeremy Katz 2008-06-01 17:21:59 EDT
What type of CD drive is on the box?  Can you see if there are any messages
about the Cd drive on tty4?
Comment 2 Daniel Qarras 2008-06-02 12:25:20 EDT
It is standard CD/DVD drive. There are no CD/DVD drive related messages.

I now upgraded the box with Yum and I am unable to boot Fedora 9 normally after
the upgrade. It seems that I've installed actually Fedora Core 6 and upgraded
with Yum ever since. The normal installation still fails, of course. However,
additional information:

1) smolt profile for the box:
http://www.smolts.org/client/show/pub_63cee385-08bc-44d7-a5f0-47fd4339081c

2) /etc/modprobe.conf that is inherited probably from the days of FC6:

alias eth0 tg3
alias eth1 tg3
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 mptsas
alias scsi_hostadapter2 sata_svw
alias scsi_hostadapter3 pata_serverworks
alias scsi_hostadapter4 cciss
alias scsi_hostadapter5 BusLogic
alias scsi_hostadapter6 sata_mv

3) dmesg output attached after booting to latest F9 kernel - notice how some
devices are slow to respond and how several drivers are loaded one by one
(perhaps the installer is not smart enough to do the same?)

Thanks.
Comment 3 Daniel Qarras 2008-06-02 12:26:04 EDT
Created attachment 307386 [details]
dmesg with latest F9 kernel on an HP DL145 G3
Comment 4 Chuck Ebbert 2008-09-08 18:43:07 EDT
Is the CD drive attached to the parallel ATA port? And is it usable after booting the new install?
Comment 5 Daniel Qarras 2008-09-11 16:17:18 EDT
Yes, the CD/DVD drive is attached to the parallel ATA port. I actually just now realized that no, the drive is not usable, no signs of it in dmesg/lspci output.

I will attach current dmesg/lspci output from the machine running F9 + latest updates.

PS. FWIW, I was told that the machine is not actually final DL145G3 but a prototype so this case might not be applicable for real DL145G3s.

Thanks!
Comment 6 Daniel Qarras 2008-09-11 16:18:04 EDT
Created attachment 316481 [details]
dmesg with latest F9 kernel on an HP DL145 G3 beta
Comment 7 Daniel Qarras 2008-09-11 16:18:41 EDT
Created attachment 316482 [details]
lspci with latest F9 kernel on an HP DL145 G3 beta
Comment 8 Chuck Ebbert 2008-09-13 03:10:30 EDT
PATA: 1166:0214
SATA: 1166:024b
Comment 9 Alan Cox 2008-09-16 11:28:04 EDT
Severworks HT1000
Serverworks SVW4 type SATA

Drivers svw_sata and pata_serverworks

scsi5 : pata_serverworks
scsi6 : pata_serverworks
ata5: PATA max UDMA/66 cmd 0x1f0 ctl 0x3f6 bmdma 0x1c00 irq 14
ata6: PATA max UDMA/66 cmd 0x170 ctl 0x376 bmdma 0x1c08 irq 15
ata5: port is slow to respond, please be patient (Status 0x80)
ata5: SRST failed (errno=-16)

So for some reason the drive never cleared its BUSY bit.

An FC8 dmesg to compare would be helpful
Comment 10 Daniel Qarras 2008-09-19 10:00:58 EDT
Created attachment 317197 [details]
F8 dmesg

This an F8 dmesg. Booted Live CD from a USB DVD drive. The ATA CD/DVD drive was not usable.
Comment 11 Daniel Qarras 2008-10-14 15:37:12 EDT
Created attachment 320346 [details]
dmesg with F10Beta on an HP DL145 G3 beta

This is fixed with F10Beta!

For completeness, I'll attach dmesg from F10Beta for your consumption.

I'll close this one solved as both installation and boot with F10Beta work out-of-box.

Thanks!
Comment 12 Alan Cox 2008-10-14 16:57:55 EDT
Thanks for testing, must admit I have no idea what fixed it 8)

Note You need to log in before you can comment on or make changes to this bug.